package jp.co.intra_mart.sample.im_workflow.tsfw.app.purchase;

/**
 * ワークフローのシステムパラメータ情報を保持するFormクラスです。
 * @author intra-mart
 */
public class WorkflowForm {

    /* ログイングループID */
    private String imwGroupId;

    /* ログインユーザCD */
    private String imwUserCode;

    /* 画面種別 */
    private String imwPageType;

    /* ユーザデータID */
    private String imwUserDataId;

    /* システム案件ID */
    private String imwSystemMatterId;

    /* ノードID */
    private String imwNodeId;

    /* 到達種別 */
    private String imwArriveType;

    /* 代理元ユーザCD */
    private String imwAuthUserCode;

    /* 申請基準日 */
    private String imwApplyBaseDate;

    /* コンテンツID */
    private String imwContentsId;

    /* コンテンツバージョンID */
    private String imwContentsVersionId;

    /* ルートID */
    private String imwRouteId;

    /* ルートバージョンID */
    private String imwRouteVersionId;

    /* フローID */
    private String imwFlowId;

    /* フローバージョンID */
    private String imwFlowVersionId;

    /* 呼出元パラメータ */
    private String imwCallOriginalParams;

    /* 呼出元ページパス */
    private String imwCallOriginalPagePath;

    /* システム日で対象者を展開するフラグ */
    private String imwSysDateTargetExpandFlag;

    /* ショートカットフラグ */
    private String imwShortCutFlag;

    public String getImwApplyBaseDate() {
        return imwApplyBaseDate;
    }

    public String getImwArriveType() {
        return imwArriveType;
    }

    public String getImwAuthUserCode() {
        return imwAuthUserCode;
    }

    public String getImwCallOriginalPagePath() {
        return imwCallOriginalPagePath;
    }

    public String getImwCallOriginalParams() {
        return imwCallOriginalParams;
    }

    public String getImwContentsId() {
        return imwContentsId;
    }

    public String getImwContentsVersionId() {
        return imwContentsVersionId;
    }

    public String getImwFlowId() {
        return imwFlowId;
    }

    public String getImwFlowVersionId() {
        return imwFlowVersionId;
    }

    public String getImwGroupId() {
        return imwGroupId;
    }

    public String getImwNodeId() {
        return imwNodeId;
    }

    public String getImwPageType() {
        return imwPageType;
    }

    public String getImwRouteId() {
        return imwRouteId;
    }

    public String getImwRouteVersionId() {
        return imwRouteVersionId;
    }

    public String getImwShortCutFlag() {
        return imwShortCutFlag;
    }

    public String getImwSysDateTargetExpandFlag() {
        return imwSysDateTargetExpandFlag;
    }

    public String getImwSystemMatterId() {
        return imwSystemMatterId;
    }

    public String getImwUserCode() {
        return imwUserCode;
    }

    public String getImwUserDataId() {
        return imwUserDataId;
    }

    public void setImwApplyBaseDate(final String imwApplyBaseDate) {
        this.imwApplyBaseDate = imwApplyBaseDate;
    }

    public void setImwArriveType(final String imwArriveType) {
        this.imwArriveType = imwArriveType;
    }

    public void setImwAuthUserCode(final String imwAuthUserCode) {
        this.imwAuthUserCode = imwAuthUserCode;
    }

    public void setImwCallOriginalPagePath(final String imwCallOriginalPagePath) {
        this.imwCallOriginalPagePath = imwCallOriginalPagePath;
    }

    public void setImwCallOriginalParams(final String imwCallOriginalParams) {
        this.imwCallOriginalParams = imwCallOriginalParams;
    }

    public void setImwContentsId(final String imwContentsId) {
        this.imwContentsId = imwContentsId;
    }

    public void setImwContentsVersionId(final String imwContentsVersionId) {
        this.imwContentsVersionId = imwContentsVersionId;
    }

    public void setImwFlowId(final String imwFlowId) {
        this.imwFlowId = imwFlowId;
    }

    public void setImwFlowVersionId(final String imwFlowVersionId) {
        this.imwFlowVersionId = imwFlowVersionId;
    }

    public void setImwGroupId(final String imwGroupId) {
        this.imwGroupId = imwGroupId;
    }

    public void setImwNodeId(final String imwNodeId) {
        this.imwNodeId = imwNodeId;
    }

    public void setImwPageType(final String imwPageType) {
        this.imwPageType = imwPageType;
    }

    public void setImwRouteId(final String imwRouteId) {
        this.imwRouteId = imwRouteId;
    }

    public void setImwRouteVersionId(final String imwRouteVersionId) {
        this.imwRouteVersionId = imwRouteVersionId;
    }

    public void setImwShortCutFlag(final String imwShortCutFlag) {
        this.imwShortCutFlag = imwShortCutFlag;
    }

    public void setImwSysDateTargetExpandFlag(final String imwSysDateTargetExpandFlag) {
        this.imwSysDateTargetExpandFlag = imwSysDateTargetExpandFlag;
    }

    public void setImwSystemMatterId(final String imwSystemMatterId) {
        this.imwSystemMatterId = imwSystemMatterId;
    }

    public void setImwUserCode(final String imwUserCode) {
        this.imwUserCode = imwUserCode;
    }

    public void setImwUserDataId(final String imwUserDataId) {
        this.imwUserDataId = imwUserDataId;
    }
}
